Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.report
Class MultirowReportObject1

    java.lang.Object
      com.sun.mdm.index.report.ReportRow
          com.sun.mdm.index.report.MultirowReportObject1

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DeactivateReportRow, MultirowReportObject2

public class MultirowReportObject1
extends ReportRow

Report row for reports that have one object image

See Also:
  Serialized Form

Field Summary
`protected MultirowReportConfig1` | `mConfig`
`protected ObjectNode` | `mObjectNode`

Constructor Summary
`MultirowReportObject1(java.lang.String reportName, java.util.ArrayList fieldNames, java.util.ArrayList fieldTypes, MultirowReportConfig1 config)` Creates a new instance of MultirowReportObject1.

Method Summary
`protected ObjectNode` | `constructObjectNode(ObjectNode node)` Constructs an ObjectNode.
`ObjectNode` | `getObject1()` Gets the object.
`java.lang.Object` | `getValue(java.lang.String fieldName)` Gets the value of a field..
`void` | `setObject1(ObjectNode node1)` Sets the object.
`void` | `setValue(java.lang.String fieldName, java.lang.Object value)` Sets the value of a field..

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mConfig

    protected final MultirowReportConfig1 mConfig

### mObjectNode

    protected final ObjectNode mObjectNode

Constructor Detail

### MultirowReportObject1

    public MultirowReportObject1(java.lang.String reportName,
                                 java.util.ArrayList fieldNames,
                                 java.util.ArrayList fieldTypes,
                                 MultirowReportConfig1 config)
                          throws ObjectException

  Creates a new instance of MultirowReportObject1.

  Parameters:
    `reportName` - Name of the report.
    `fieldNames` - Fields to display.
    `fieldTypes` - Types of fields to display.
    `config` - Report configuration.
  Throws:
    `ObjectException` - if an error occurs.

Method Detail

### constructObjectNode

    protected ObjectNode constructObjectNode(ObjectNode node)

  Constructs an ObjectNode.

  Parameters:
    `node` - ObjectNode to contruct.
  Returns:
    The new ObjectNode instance.

### getObject1

    public ObjectNode getObject1()

  Gets the object.

  Returns:
    The object.

### getValue

    public java.lang.Object getValue(java.lang.String fieldName)
                              throws ObjectException

  Gets the value of a field..

  Parameters:
    `fieldName` - The name of the field for which the value will be retrieved.
  Returns:
    The value of the field.
  Throws:
    `ObjectException`

### setObject1

    public void setObject1(ObjectNode node1)
                    throws ObjectException

  Sets the object.

  Parameters:
    `node1` - The ObjectNode to set as the object.
  Throws:
    `ObjectException`

### setValue

    public void setValue(java.lang.String fieldName,
                         java.lang.Object value)
                  throws ObjectException

  Sets the value of a field..

  Parameters:
    `fieldName` - The name of the field.
    `value` - The new value of the field.
  Throws:
    `ObjectException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.